﻿@page
@model LoginModel


</h1><div class="card shadow border-0 mt-4">
    <div class="card-header bg-secondary bg-gradient ml-0 py-4">
        <div class="row">
            <div class="col-12 text-center">
                <h2 class="py-2 text-white">Log In</h2>
            </div>
        </div>
    </div>
    <div class="card-body p-4">
        <div class="row">
            <div class="col-md-12">
                <section>
                    <form id="account" method="post">
                        <h3 class="border-bottom pb-3 mb-4 text-secondary text-center">Use a local account to log in.</h3>
                        <hr />
                        <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                        <div class="form-floating mb-3 col-md-12">
                            <input asp-for="Input.Email" class="form-control" autocomplete="username" aria-required="true" />
                            <label asp-for="Input.Email" class="form-label"></label>
                            <span asp-validation-for="Input.Email" class="text-danger"></span>
                        </div>
                        <div class="form-floating mb-3 col-md-12">
                            <input asp-for="Input.Password" class="form-control" autocomplete="current-password" aria-required="true" />
                            <label asp-for="Input.Password" class="form-label"></label>
                            <span asp-validation-for="Input.Password" class="text-danger"></span>
                        </div>
                        <div>
                            <div class="checkbox mb-3">
                                <label asp-for="Input.RememberMe" class="form-label">
                                    <input class="form-check-input" asp-for="Input.RememberMe" />
                                    @Html.DisplayNameFor(m => m.Input.RememberMe)
                                </label>
                            </div>
                        </div>
                        <div>
                            <button id="login-submit" type="submit" class="w-100 btn btn-lg btn-primary mb-3">Log in</button>
                        </div>
                        <div>
                            <p>
                                <a id="forgot-password" asp-page="./ForgotPassword">Forgot your password?</a>
                            </p>
                            <p>
                                <a asp-page="./Register" asp-route-returnUrl="@Model.ReturnUrl">Register as a new user</a>
                            </p>
                            <p>
                                <a id="resend-confirmation" asp-page="./ResendEmailConfirmation">Resend email confirmation</a>
                            </p>
                        </div>
                    </form>
                </section>
            </div>
            <div class="col-md-12 p-3 text-center">
                <section>
                    <p class="divider-text d-flex pt-3">or</p>
                    @{
                        if ((Model.ExternalLogins?.Count ?? 0) == 0)
                                {
                                    <div>
                                        <p>
                                        There are no external authentication services configured. See this <a href="https://go.microsoft.com/fwlink/?LinkID=532715">article
                                        about setting up this ASP.NET application to support logging in via external services</a>.
                                        </p>
                                    </div>
                                }
                                else
                                {
                                    <form id="external-account" asp-page="./ExternalLogin" asp-route-returnUrl="@Model.ReturnUrl" method="post" class="form-horizontal">
                                        <div>
                                        <p>
                                        @foreach (var provider in Model.ExternalLogins)
                                        {
                                            <button type="submit" class="btn btn-primary" name="provider" value="@provider.Name" title="Log in using your @provider.DisplayName account">@provider.DisplayName</button>
                                        }
                                        </p>
                                        </div>
                                    </form>
                                }
                    }
                </section>
            </div>
        </div>
    </div> <!-- end of card-body -->
</div>


@section Scripts {
    <partial name="_ValidationScriptsPartial" />
}
